DISK_FLUSH_EVENTS(9)

NAME
disk_flush_events - schedule immediate event checking and flushing

SYNOPSIS

void disk_flush_events(struct gendisk * disk, unsigned int mask);

ARGUMENTS

disk
    disk to check and flush events for

mask
    events to flush

DESCRIPTION

Schedule immediate event checking on disk if not blocked. Events in mask are scheduled to be cleared from the driver. Note that this doesn't clear the events from disk->ev.

CONTEXT

If mask is non-zero must be called with bdev->bd_mutex held.

COPYRIGHT